---
header-includes: |
  \usepackage[T1]{fontenc}
  \usepackage[a4paper,bindingoffset=0in,left=4cm,right=2cm,top=2cm,bottom=2cm,footskip=.25in]{geometry}
  \usepackage{fancyhdr}
  \usepackage[utf8]{inputenc}
  \usepackage{tikz}
  \usetikzlibrary{snakes,arrows,shapes}
  \usepackage{amsmath}
  \usepackage{pgfplots}
  \usepackage{pgfplotstable}
  \pgfplotsset{compat=1.8}
  \usepackage{multicol,lipsum}
  \usepackage{listings}
  \usepackage{wrapfig}
  \usepackage[font=small,labelfont=bf,tableposition=top, position=above]{caption}
  \usepackage{graphicx}
  \usepackage{xcolor,stackengine}
  \usepackage{colortbl}
  \usepackage{tcolorbox}
  \usepackage{lastpage}
  \usepackage{subcaption}
  \usepackage{tabularx}
  \usepackage{biblatex}
  \usepackage{float}
  \usepackage{refract}
  \usepackage{svg}
  \usepackage{setspace}
  \usepackage{titling}
  \usepackage{abstract}
	\usepackage{fvextra}
	\usepackage{emoji}
  \usepackage{fontspec}
  \usepackage{dirtree}
  \usepackage{etoolbox}
  \setmainfont{Times New Roman}
	\DefineVerbatimEnvironment{Highlighting}{Verbatim}{breaklines,commandchars=\\\{\}}
  \newcommand{\hideFromPandoc}[1]{#1}
  \hideFromPandoc{
    \let\Begin\begin
    \let\End\end
  }
  \makeatletter
  \def\fps@figure{h}
  \makeatother
---

\captionsetup[figure]{position=above}

\setstretch{1.5}

\setemojifont{Twemoji Mozilla}

<!-- \renewcommand{\familydefault}{\sfdefault} -->

\graphicspath{ {./img/} }

\overfullrule=0pt

\newcolumntype{C}{>{\centering\arraybackslash}X}

\renewcommand{\comment}[1]{\hspace{2em}{\small\textit{#1}}\bigskip\par}

\renewcommand{\lstlistingname}{Auflistung}

\newcommand\palbox[1]{{\sffamily\fboxsep=5pt\relax\fboxrule=1pt\relax\footnotesize%
  \fcolorbox{gray!50}{gray!10}{%
    \stackengine{4pt}{%
      \colorbox[HTML]{#1}{\rule{30pt}{0pt}\rule{0pt}{30pt}}%
}{%
\color{black!60}\stackengine{6pt}{\##1}{\saycolors{#1}}{U}{l}{F}{F}{S}%
}{U}{l}{F}{F}{S}%
}%
}}
\newcommand\saycolors[1]{\relax}

\lstset{
basicstyle=\ttfamily,
columns=fullflexible,
frame=single,
breaklines=true,
postbreak=\mbox{\textcolor{red}{$\hookrightarrow$}\space},
}

\apptocmd{\dirtree}{\bigskip}{}{}
\pretocmd{\dirtree}{\bigskip}{}{}

\newcommand{\mkbibnodate}{n\adddot d\adddot}
