<!--In der heutigen Zeit verbringen Menschen in der Regel mehr Zeit damit, über einen Bildschirm mit Maschinen zu interagieren, anstatt Maschinen mechanisch zu steuern. Dieser Trend lässt sich gut bei der Automobilindustrie oder an Haushaltsgeräten beobachten, wo immer mehr Funktionen über einen Touchscreen mit einer grafischen Benutzeroberfläche (GUI) angesteuert werden. Über die GUI können Benutzer Funktionen wie Musik, Radio, Telefon, Temperaturregelung und mehr ansteuern. Ebenso kann die Öffentlichkeit am Flughafen oder in Restaurants über einen Selbstbedienungskiosk mit Unternehmen kommunizieren. Der Kiosk führt eine GUI auf einem Anzeigegerät aus und über den Touchscreen des Kiosks können Maschinen die Kundenwünsche erfüllen.-->

<!--Zusammenfassend lässt sich sagen, dass es in der Industrie einen zunehmenden Trend gibt, dass der Endverbraucher auf bequeme und effiziente Weise mit GUIs interagiert, um Aufgaben zu erledigen.-->

# Einleitung

## Motivation

Die Entwicklung moderner und ansprechender Benutzeroberflächen (GUIs) für eingebettete
Linux-Systeme ist eine Herausforderung. Herkömmliche GUI-Toolkits stoßen häufig an
ihre Grenzen, wenn es um die Erfüllung der Anforderungen an Leistung,
plattformübergreifende Kompatibilität und Design geht. Flutter [@googleinc.FutterBuildAny],
ein quelloffenes Benutzerschnittstellen-Entwicklungs-Kit von Google,
stellt eine vielversprechende Alternative dar. Es zeichnet sich durch native Kompilierung
für hohe Performance und geringen Ressourcenverbrauch, eine flexible Architektur,
die an verschiedene Plattformen angepasst werden kann, und seinen Fokus auf moderne
und intuitive Benutzeroberflächen aus.

## Relevanz

In dieser Arbeit wird der Einsatz von Flutter für die Entwicklung von GUIs für
eingebettete Linux-Systeme untersucht. Die Arbeit leistet einen wichtigen Beitrag
zu diesem Forschungsbereich, indem sie:

- die Leistungsmerkmale von Flutter auf eingebetteter Hardware detailliert untersucht
  und wertvolle Hinweise für die Auswahl des richtigen Toolkits liefert.
- den Entwicklungsprozess detailliert beschreibt und Herausforderungen sowie
  bewährte Praktiken bei der Verwendung von Flutter in einem eingebetteten Linux-Kontext aufzeigt.
- eine reale eingebettete GUI mit Flutter implementiert und dabei die Fähigkeiten und
  potenziellen Anwendungsfälle des Toolkits hervorhebt.

Die Ergebnisse dieser Arbeit sind relevant für Entwickler
im Bereich eingebetteter Systeme, die moderne,
performante und ansprechende GUIs für Linux-basierte Geräte entwickeln möchten.

## Zielsetzung

Ziel der Arbeit ist es, die Potenziale und Herausforderungen von
Flutter im Bereich der GUI-Entwicklung für eingebettete Linux-Systeme
zu beleuchten und Entwicklern wertvolle Hinweise für die Auswahl des
richtigen Toolkits zu liefern.

## Problemstellung

Beantwortet werden soll die Frage, inwieweit sich Flutter für die Entwicklung von GUIs
für eingebettete Linux-Systeme eignet. Dazu wird in dieser Arbeit geklärt:
Wie einfach und effizient ist die Entwicklung und Wartung von GUIs mit Flutter?
Welche Auswirkungen hat Flutter auf die Performance und den Ressourcenverbrauch im
eingebetteten Kontext? Wie hoch ist der Lernaufwand für Entwickler? Welche Community
und Support-Ressourcen stehen für Flutter-Entwickler zur Verfügung? Um diese Fragen
zu beantworten wird die folgende Methodik angewendet.

## Methodik

Um die Forschungsfrage zu beantworten, wird eine Literaturrecherche,
eine experimentelle Untersuchung und eine Auswertung der Untersuchung durchgeführt.
In der Literaturrecherche werden aktuelle wissenschaftliche Quellen zu GUI-Entwicklung
für eingebettete Systeme und Flutter ausgewertet. Die experimentelle Untersuchung
umfasst die Implementierung einer realen eingebetteten GUI mit Flutter und die
Bewertung der Performance, des Ressourcenverbrauchs und der Benutzerfreundlichkeit
der GUI. Die Ergebnisse der Literaturrecherche und der experimentellen Untersuchung
werden in einem Bewertungsschema zusammengefasst und abschließend bewertet. Basierend
auf den Ergebnissen wird ein Leitfaden für die Entwicklung von GUIs für eingebettete
Linux-Systeme mit Flutter erstellt.

## Struktur der Arbeit

Zu ergänzen wenn Arbeit fertig ist...

## Problematik

Zu ergänzen falls nötig...
